@Echo off

cls

@Echo Setup

if not exist .\chk3dbl.exe goto setup

chk3dbl.exe > nul

copy hotcgl\vrush.ovl glide2x.ovl
chk3dfx.exe > nul
if errorlevel 2 goto voodoo
if errorlevel 1 goto 3dfxdrivers
goto chkmsi

:voodoo
copy hotcgl\voodoo.ovl glide2x.ovl
chk3dfx.exe > nul
if errorlevel 2 goto no3dfx
if errorlevel 1 goto 3dfxdrivers
goto chkmsi

:3dfxdrivers
@Cls
@Echo Your 3DFX card is not working correctly.
@Echo Please install updated 3DFX drivers.
@pause
goto chkmsi

:no3dfx
del glide2x.ovl

:chkmsi
chkmsi.exe > nul
del bind.log

:setup
st.exe > nul
